<?php 
session_start();
if (!$_SESSION['login']) {header("Location: index.php");}
require_once('../utilesphp/sql_oop.php'); //conexion a base de datos
	if (isset($_GET['Idcompra']) AND isset($_GET['Idproducto']) AND isset($_GET['cantidad']) AND isset($_GET['valorunitario']) AND ($_GET['cantidad']>0) AND ($_GET['valorunitario']>0)) {
		$fecha=$anno.'-'.$mes.'-'.$dia;
		$insert=$mysqli->query('INSERT INTO compras_detalle (Idcompra,Idproducto,cantidad,valorunitario,valorguia) VALUES ("'.$_GET['Idcompra'].'","'.$_GET['Idproducto'].'","'.$_GET['cantidad'].'","'.$_GET['valorunitario'].'","'.$_GET['valorguia'].'")');
		//actualizo precios
		$precios=$mysqli->query('SELECT cd.valorunitario FROM compras_detalle cd LEFT JOIN compras c ON cd.Idcompra=c.Idcompra WHERE cd.Idproducto="'.$_GET['Idproducto'].'" ORDER BY fecha DESC LIMIT 1');
		$row=$precios->fetch_array();
		$mysqli->query('UPDATE productos SET valorcompra="'.$row['valorunitario'].'" WHERE Idproducto="'.$_GET['Idproducto'].'"');
	}
$mysqli->close();
header('Location: ../movimientos-compras-detalle.php?Idcompra='.$_GET['Idcompra']);
?>